#include "..\NativeCpp\classa.h"

#pragma once

using namespace System;
using namespace System::Text;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Data;
using namespace System::Runtime::InteropServices;

namespace CppCLI 
{
	public ref class ClassA
	{
	private:
		::ClassA * _native;

	public:
		ClassA(::ClassA * native)
		{
			_native= native;
		}

		::ClassA* native()
		{
			return _native;
		}

		ClassA ()
		{ 
			_native = new ::ClassA();
		}

		~ClassA ()
		{ 	
			delete _native; 	
		}

		int ok ()  
		{
			return _native -> ok();
		}

		int get_data ()
		{
			return _native->get_data();
		}

		void set_data(int data)
		{
			_native->set_data(data);
		}
	};
}